Get logs
curl --request GET \
--url https://api.closebot.com/botMetric/logs \
--header 'X-CB-KEY: <api-key>'import requests
url = "https://api.closebot.com/botMetric/logs"
headers = {"X-CB-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CB-KEY': '<api-key>'}};
fetch('https://api.closebot.com/botMetric/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": "2023-11-07T05:31:56Z",
"botId": "<string>",
"messageId": "<string>",
"sourceId": "<string>",
"leadId": "<string>",
"actionId": "<string>",
"severity": 123,
"message": "<string>",
"prompt": [
{
"kind": "<string>",
"body": "<string>"
}
],
"response": "<string>",
"promptTokens": 123,
"completionTokens": 123,
"provider": "<string>",
"model": "<string>",
"purpose": "<string>",
"body": "<string>"
}
]BotMetric
Get logs
GET
/
botMetric
/
logs
Get logs
Authorizations
CloseBot API Key Authorization
Query Parameters
Optional bot ID.
Optional message ID.
Optional source ID.
Optional lead ID.
Optional action ID.
Optional start date.
Optional end date.
Optional maximum number of logs to return.
Response
Success
Show child attributes
Show child attributes

